Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class BasicModule

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule

All Implemented Interfaces:
  Module

Direct Known Subclasses:
  AuditManagerImpl, ClearspaceManager, ConnectionManagerImpl, DefaultFileTransferManager, FileTransferProxy, FlashCrossDomainHandler, InternalComponentManager, IQHandler, IQRouter, MediaProxyService, MessageRouter, MulticastDNSService, MulticastRouter, MultiUserChatManager, OfflineMessageStore, OfflineMessageStrategy, PacketDelivererImpl, PacketRouterImpl, PacketTransporterImpl, PresenceManagerImpl, PresenceRouter, PresenceSubscribeHandler, PresenceUpdateHandler, PrivateStorage, PubSubModule, RosterManager, RoutingTableImpl, SessionManager, TransportHandler, UpdateManager, VCardManager

    public class BasicModule

extends Object
implements Module

A default Module implementation that basically avoids subclasses having to implement the whole Module interface.

Author:
  Gaston Dombiak

Constructor Summary
`BasicModule(String moduleName)` Create a basic module with the given name.

Method Summary
`void` | `destroy()` Destroys the module.
`String` | `getName()` Obtain the name of the module.
`void` | `initialize(XMPPServer server)` Initializes the basic module.
`void` | `start()` Starts the basic module.
`void` | `stop()` Stops the basic module.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicModule

    public BasicModule(String moduleName)

  Create a basic module with the given name.

  Parameters:
    `moduleName` - The name for the module or null to use the default

Method Detail

### getName

    public String getName()

  Obtain the name of the module.

  Specified by:
    `getName` in interface `Module`
  Returns:
    The name of the module

### initialize

    public void initialize(XMPPServer server)

  Initializes the basic module.

  Inheriting classes that choose to override this method MUST call this initialize() method before accessing BasicModule resources.

  Specified by:
    `initialize` in interface `Module`
  Parameters:
    `server` - the server hosting this module.

### start

    public void start()
               throws IllegalStateException

  Starts the basic module.

  Inheriting classes that choose to override this method MUST call this start() method before accessing BasicModule resources.

  Specified by:
    `start` in interface `Module`
  Throws:
    `IllegalStateException` - If start is called before initialize successfully returns

### stop

    public void stop()

  Stops the basic module.

  Inheriting classes that choose to override this method MUST call this stop() method before accessing BasicModule resources.

  Specified by:
    `stop` in interface `Module`

### destroy

    public void destroy()

  Destroys the module.

  Does nothing in the basic module.

  Specified by:
    `destroy` in interface `Module`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.